<!DOCTYPE html>
<html lang="en" class="use-slim-core">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Accordion</title>
    <link rel="stylesheet" href="../css/slim-core.css">
    <link rel="stylesheet" href="../css/slim-core-components.css">
</head>

<body class="container pt-5">
    <div>
        <a href="./index.html">Previous</a>
    </div>
    <br>

    <h1>19- Accordions</h1>
    <br><br>

    <ul class="accordion shadow-2" style="width: 400px;">
        <li class="accordion-item">
            <button href="#" class="accordion-title elt">
                <span>Item 1</span>
                <i class="sci">&plus;</i>
                <i class="scia">&minus;</i>
            </button>
            <div class="accordion-content">
                <span>Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus culpa distinctio modi nostrum sit
                    praesentium, dolores adipisci sapiente fugit cumque est cupiditate reprehenderit at maxime ipsum
                    libero, corrupti harum hic.</span>
                <span>Aliquid adipisci neque unde? Aperiam temporibus omnis consectetur sequi eius consequatur nostrum
                    dolore qui voluptas minus laboriosam, animi cumque amet dolores! Incidunt voluptates iusto dolorem
                    id veniam reiciendis laboriosam nostrum.</span>
                <span>Corrupti perferendis, iste animi laudantium minus est quaerat. Ipsam quod, amet veritatis pariatur
                    nihil dolorum nobis nostrum qui molestiae cupiditate unde natus debitis! Molestiae accusantium fuga
                    ullam sed vitae maxime?</span>
                <span>Ullam quos nostrum voluptas asperiores veritatis beatae rerum incidunt voluptate amet corrupti
                    molestiae numquam iste quo, provident ex suscipit, dolorem omnis eum autem, ad tempore ipsam fugit!
                    Odit, natus quaerat.</span>
                <span>Suscipit debitis quae quasi modi necessitatibus error? Mollitia harum praesentium vitae itaque
                    dolorem ea, inventore libero voluptate illo molestias officia veniam nesciunt nihil accusamus,
                    recusandae natus numquam iusto asperiores. Quaerat?</span>
            </div>
        </li>
        <li class="accordion-item">
            <a href="#" class="accordion-title elt">
                <span>Item 1</span>
                <i class="sci">&plus;</i>
                <i class="scia">&minus;</i>
            </a>
            <div class="accordion-content">
                <span>Lorem ipsum dolor sit amet consectetur adipisicing elit. Ducimus culpa distinctio modi nostrum sit
                    praesentium, dolores adipisci sapiente fugit cumque est cupiditate reprehenderit at maxime ipsum
                    libero, corrupti harum hic.</span>
                <span>Aliquid adipisci neque unde? Aperiam temporibus omnis consectetur sequi eius consequatur nostrum
                    dolore qui voluptas minus laboriosam, animi cumque amet dolores! Incidunt voluptates iusto dolorem
                    id veniam reiciendis laboriosam nostrum.</span>
                <span>Corrupti perferendis, iste animi laudantium minus est quaerat. Ipsam quod, amet veritatis pariatur
                    nihil dolorum nobis nostrum qui molestiae cupiditate unde natus debitis! Molestiae accusantium fuga
                    ullam sed vitae maxime?</span>
                <span>Ullam quos nostrum voluptas asperiores veritatis beatae rerum incidunt voluptate amet corrupti
                    molestiae numquam iste quo, provident ex suscipit, dolorem omnis eum autem, ad tempore ipsam fugit!
                    Odit, natus quaerat.</span>
                <span>Suscipit debitis quae quasi modi necessitatibus error? Mollitia harum praesentium vitae itaque
                    dolorem ea, inventore libero voluptate illo molestias officia veniam nesciunt nihil accusamus,
                    recusandae natus numquam iusto asperiores. Quaerat?</span>
            </div>
        </li>
    </ul>


    <script>
        document.querySelectorAll(".accordion .accordion-item").forEach(item => {
            item.addEventListener('click', e => {
                e.preventDefault();
                item.classList.toggle("active")
            })
        })
    </script>
</body>

</html>